Enable Auto Billing
curl --request POST \
--url https://api.mixpeek.com/v1/organizations/billing/enable-auto-billing \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mixpeek.com/v1/organizations/billing/enable-auto-billing"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mixpeek.com/v1/organizations/billing/enable-auto-billing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"auto_billing_enabled": true,
"message": "<string>",
"success": true,
"billing_period_start": "2023-11-07T05:31:56Z"
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Billing
Enable Auto Billing
Enable automatic monthly billing.
Re-enables automatic billing if it was previously disabled. Payment method must already be saved.
Requirements:
- Admin permission
- Must have payment method saved
Example:
response = await client.post("/v1/organizations/billing/enable-auto-billing")
POST
/
v1
/
organizations
/
billing
/
enable-auto-billing
Enable Auto Billing
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Was this page helpful?
⌘I

